Subject: adding external interrupt support for MPC8313e bsp

From: Suvidh Kankariya <[email-masked]>
Date: Thu, 22 May 2008 16:41:18 -0400

Hi,
I have mpc8313e local bus connected to a external UART. and the 
interrupt is connected to EXT_INT2.
I am able to communicate to UART if I disable IRQ i.e IRQ = 0 in port 
structure.

I am not able to understand how to tell kernel to use external IRQ -2.
Should I put the external interrupts in device tree and if so how?

or can I use the interrupt directly in the driver  and in that case do I 
need to map the interrupt.

Any help or pointer is highly appreciated.

Thanks in advance.

Suvidh